=== modified file 'drizzled/item/ident.cc'
--- drizzled/item/ident.cc	2011-06-22 22:23:29 +0000
+++ drizzled/item/ident.cc	2011-06-28 20:49:18 +0000
@@ -26,8 +26,7 @@
 
 using namespace std;
 
-namespace drizzled
-{
+namespace drizzled {
 
 const uint32_t NO_CACHED_FIELD_INDEX= UINT32_MAX;
 
@@ -101,7 +100,7 @@
       snprintf(tmp, tmp_len, "%s.%s", table_name, field_name);
     }
     else
-      tmp= (char*) field_name;
+      return field_name;
   }
   return tmp;
 }
@@ -114,8 +113,7 @@
   if (table_name && table_name[0])
   {
     t_name.assign(table_name);
-    std::transform(t_name.begin(), t_name.end(),
-                   t_name.begin(), ::tolower);
+    std::transform(t_name.begin(), t_name.end(), t_name.begin(), ::tolower);
   }
  
   if (db_name && db_name[0])
@@ -123,14 +121,12 @@
     d_name.assign(db_name);
     // Keeping the std:: prefix here, since Item_ident has a transform
     // method
-      std::transform(d_name.begin(), d_name.end(),
-                     d_name.begin(), ::tolower);
+    std::transform(d_name.begin(), d_name.end(), d_name.begin(), ::tolower);
   }
 
   if (!table_name || !field_name || !field_name[0])
   {
-    const char *nm= (field_name && field_name[0]) ?
-                      field_name : name ? name : "tmp_field";
+    const char *nm= (field_name && field_name[0]) ? field_name : name ? name : "tmp_field";
     str->append_identifier(nm, (uint32_t) strlen(nm));
 
     return;

